window.onbeforeunload = function(){
    return 'Are you sure you want to leave?';
};
(function() {
  function customReplace() { /* ... */ }
  var location = new Proxy(Object.create(window.location), {
    get: function(target, property, receiver) {
      if(property === 'replace') return customReplace;
      return window.location[property];
    },
    set: function(target, property, value, receiver) {
      return window.location[property] = value;
      return true;
    },
  });
})();

gsap.registerPlugin(ScrollTrigger, ScrollSmoother);

ScrollTrigger.normalizeScroll(true)

// create the smooth scroller FIRST!
let smoother = ScrollSmoother.create({
  smooth: 2,
  effects: true,
  normalizeScroll: true
});



// Define the animation
gsap.registerPlugin(ScrollTrigger);

let sections = gsap.utils.toArray(".panel");

gsap.to(sections, {
  xPercent: -100 * (sections.length - 1),
  ease: "none",
  scrollTrigger: {
    trigger: ".panel-container", 
    pin: true,
    smooth: 700 ,
    scrub: 1,
    effects: true,
    normalizeScroll: true,
    snap: 0 / (sections.length - 1),

    end: () => "+=" + document.querySelector(".panel-container").offsetWidth
  }
});






