<style type="text/css">
	@import url("https://fonts.googleapis.com/css2?family=Instrument+Sans:wght@400;500;600&family=Playfair+Display&display=swap");

:root {
  --clr-bg: #e5e3dc;
  --clr-overlay-bg: #141414;
  --clr-link: #e5e3dc;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  width: 100vw;
  height: 100vh;
  background: var(--clr-bg);
  font-family: "Playfair Display", serif;
  overflow: hidden;
  user-select: none;
}

h1.title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

svd path {
  fill: var(--clr-overlay-bg);
}

#toggle-btn {
  position: fixed;
  top: 0;
  right: 0;
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 2em;
  z-index: 2;
}

.btn-outline {
  position: absolute;
  width: 100px;
  height: 100px;
  border: 1px solid var(--clr-overlay-bg);
}

.btn-outline-1 {
  border-radius: 60% 40% 30% 70% / 60% 30% 70% 40%;
  animation: morph 1s linear infinite;
}
.btn-outline-2 {
  border-radius: 53% 47% 43% 58% / 51% 39% 61% 49%;
}

@keyframes morph {
  0% {
    border-radius: 60% 40% 30% 70% / 60% 30% 70% 40%;
  }
  50% {
    border-radius: 30% 60% 70% 40% / 50% 60% 30% 60%;
  }
  100% {
    border-radius: 60% 40% 30% 70% / 60% 30% 70% 40%;
  }
}

#hamburger {
  position: relative;
  width: 100%;
  height: 100%;
  z-index: 2;
  display: flex;
  justify-content: center;
  align-items: center;
}
#hamburger .line-1 {
  position: relative;
  width: 20px;
  transform: translate(14px, -2.5px);
  height: 1.25px;
  background: var(--clr-overlay-bg);
  transition: transform 0.25s;
}
#hamburger .line-2 {
  position: relative;
  width: 24px;
  height: 1.25px;
  right: 0;
  transform: translate(-6px, 2.5px);
  background: var(--clr-overlay-bg);
  transition: transform 0.25s;
}

#hamburger.active .line-1 {
  left: 12px;
  width: 24px;
  transform: rotate(45deg);
}
#hamburger.active .line-2 {
  right: 12px;
  transform: rotate(-45deg);
}

.menu {
  position: fixed;
  top: 0;
  width: 100vw;
  height: 100vh;
  margin-inline: 0 2rem  0 2rem  ;
  display: flex;
} 

.menu > div {
  height: 100%;
  display: flex;
}
.menu a {
  position: relative;
  top: 100vh;
  line-height: 50%;
  text-decoration: none;
  color: #d0d0d0;
  transition: all 0.7s ease-in-out;
  font-family:Chivo;
  
}
.menu a:hover{
  color: #24D381;
}
.menu a span {
  font-size: 20px;
  margin-right: 2em;
}
.menu-item {
    position: relative;
    margin: 13px 0;
    display: flex;
    align-items: center;
}

.meu-container {
  width: 70%;
  height: 50%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#hamburger :focus-visible {
    outline: transparent !important;
}


#toggle-btn{
   margin: 0;
}
.primary-menu {
  flex: 3;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.primary-menu .menu-container .wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.primary-menu a {
  text-transform: uppercase;
  font-size: 72px;
  font-weight: 500px;
  margin:20px 0 ;
}
.overlay {
    position: relative;
    z-index: 1;
}

div#toggle-btn {
    z-index: 9;
}
.menu {
    z-index: 5;
}

.secondary-menu {
  position: relative;
  flex: 2;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8em;
  flex-direction: column;
}
.secondary-menu .menu-item a {
  font-family: "Instrument Sans", sans-serif;
  font-size: 36px;
 
}

.secondary-menu .menu-container .wrapper:nth-child(1) {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

</style>


<div id="toggle-btn" class="btn">
  <a class="learn-more" href="javascript:void(0)"><span>CONTACT US</span></a>
  <div id="hamburger">
    <span class="line line-1"></span>
    <span class="line line-2"></span>
  </div>
</div>

<div class="overlay">
  <svg viewBox="0 0 1000 1000">
    <path d="M0 2S175 1 500 1s500 1 500 1V0H0Z"></path>
  </svg>
</div>

<div class="menu">
  <div class="primary-menu">
    <div class="menu-container">
      <div class="wrapper">
        <div class="menu-item">
          <a href="#">Index</a>
          <div class="menu-item-revealer"></div>
        </div>

        <div class="menu-item">
          <a href="#">Work</a>
          <div class="menu-item-revealer"></div>
        </div>

        <div class="menu-item">
          <a href="#">About</a>
          <div class="menu-item-revealer"></div>
        </div>
      </div>
    </div>
  </div>

  <div class="secondary-menu">
    <div class="menu-container">
      <div class="wrapper">
        <div class="menu-item">
          <a href="#">Speaker</a>
          <div class="menu-item-revealer"></div>
        </div>

        <div class="menu-item">
          <a href="#">Blog</a>
          <div class="menu-item-revealer"></div>
        </div>

        <div class="menu-item">
          <a href="#">Contact</a>
          <div class="menu-item-revealer"></div>
        </div>

        <div class="menu-item">
          <a href="#">Credits</a>
          <div class="menu-item-revealer"></div>
        </div>
      </div>
    </div>
  </div>
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.11.5/gsap.min.js" integrity="sha512-cOH8ndwGgPo+K7pTvMrqYbmI8u8k6Sho3js0gOqVWTmQMlLIi6TbqGWRTpf1ga8ci9H3iPsvDLr4X7xwhC/+DQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.11.5/CSSRulePlugin.min.js" integrity="sha512-zaTjCyJwbhpd8V594wpmUStv6Dy/SnmP7jR+XXnE49z2ayHkSirlNiP4XQc15Zgk+p5gXGe5ZUQYu4yRtShqkQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>




<script type="text/javascript">
	const tl = gsap.timeline({
  paused: true
});
let path = document.querySelector("path");
let spanBefore = CSSRulePlugin.getRule("#hamburger .line-2");

gsap.set(".overlay", { visibility: "hidden" }); 
gsap.set(spanBefore, { background: "#000000e6" }); 
gsap.set(".menu", { visibility: "hidden", background: "#000000e6" }); 

function revealMenu() {
  revealMenuItems();

  const hamburger = document.getElementById("hamburger");
  const toggleBtn = document.getElementById("toggle-btn");

  toggleBtn.onclick = (e) => {
    // Toggle overlay visibility based on menu's reversed state (true = hidden)
    hamburger.classList.toggle("active");
    tl.reversed(!tl.reversed()); // Toggle animation direction
  };
}

revealMenu();


function revealMenuItems() {
  const start = "M0 502S175 272 500 272s500 230 500 230V0H0Z";
  const end = "M0, 1005S175, 995, 500, 995s500, 5, 500, 5V0H0Z";

  const power2 = "power2.inout";
  const power4 = "power4.inout";

  tl.to("#hamburger", 0.75, { // Reduced duration from 1.25 to 0.75
    marginTop: "0",
    x: 0,
    y: 0,
    ease: power4
  });
  tl.to(
    "#hamburger .line",
    0.5, // Reduced duration from 1 to 0.5
    {
      background: "#fff",
      ease: power2
    },
    "<"
  );
  tl.to(
    spanBefore,
    0.5, // Reduced duration from 1 to 0.5
    {
      background: "#fff",
      ease: power2
    },
    "<"
  );
tl.to(".overlay", 0.25, { // Adjust duration as needed
  visibility: tl.reversed() ? "hidden" : "visible",
  ease: power4, // Add ease for smooth transition
 
});
  tl.to(
    ".btn .btn-outline",
    0.75, // Reduced duration from 1.25 to 0.75
    {
      x: -40,
      y: 40,
      width: "140px",
      height: "140px",
      border: "1px solid #e2e2dc",
      ease: power4
    },
    "<"
  );
  tl.to(
    path,
    0.4, // Reduced duration from 0.8 to 0.4
    {
      attr: {
        d: start
      },
      ease: power2
    },
    "<"
  ).to(
    path,
    0.4, // Reduced duration from 0.8 to 0.4
    {
      attr: { d: end },
      ease: power2
    },
    "-=0.25" // Adjusted overlap
  );

  tl.to(
    ".menu",
    0.5, 
    {
      visibility: "visible"
    },
    "-=0.25" 
  );

  tl.to(
    ".menu-item>a",
    0.1, 
    {
      top: 0,
      ease: "power3.out",
      stagger: {
        amount: 0.25 
      }
    },
    "-=0.5" 
  ).reverse();
}
</script>
